Bug 996359 - Issues with hiera.yaml
Issues with hiera.yaml
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 23:46 EDT by Shawn
Modified: 2015-02-17 11:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:44:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log output with debug on (127.67 KB, text/plain)
2013-08-12 23:46 EDT, Shawn
no flags Details

  None (edit)
Description Shawn 2013-08-12 23:46:43 EDT
Created attachment 785959 [details]
log output with debug on

Description of problem:
There seem to be a number of issues with hiera when installing via packstack.

First packstack is looking for  hiera.yaml in /etc/puppet/hiera.yaml but it seems to be installed in /etc/hiera.yaml

Just for thrills I tried ln -s /etc/hiera.yaml /etc/puppet/hiera.yaml

That got me past that step and into bug 994319 which I tried to resolv with the double quotes suggested in bug 994319. That then got me to this which I had fixed in an earlier stage of the install with a package upgrade. But now it is back in this later stage. I am sorry but I don't have the bug number but the fix was these updates.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.1.1-0.23.dev657.fc19

"ERROR : Error during puppet run : Error: mysqladmin -u root  password '29c3f470740c4e5a' returned 1 instead of one of [0]"

mysql -u root -p 

and then using the password '29c3f470740c4e5a' logs me into mysql



Version-Release number of selected component (if applicable):


openstack-cinder-2013.1.2-3.fc19.noarch
openstack-glance-2013.1-2.fc19.noarch
openstack-keystone-2013.1.2-3.fc19.noarch
openstack-nova-api-2013.1.3-1.fc19.noarch
openstack-nova-cert-2013.1.3-1.fc19.noarch
openstack-nova-common-2013.1.3-1.fc19.noarch
openstack-nova-compute-2013.1.3-1.fc19.noarch
openstack-nova-conductor-2013.1.3-1.fc19.noarch
openstack-nova-console-2013.1.3-1.fc19.noarch
openstack-nova-novncproxy-2013.1.3-1.fc19.noarch
openstack-nova-scheduler-2013.1.3-1.fc19.noarch
openstack-packstack-2013.2.1-0.1.dev691.fc19.noarch
openstack-utils-2013.1-8.fc19.noarch

mariadb-5.5.32-6.fc19.x86_64
mariadb-server-5.5.32-6.fc19.x86_64
mariadb-libs-5.5.32-6.fc19.x86_64




How reproducible:

Alaways.


Steps to Reproduce:
1.Install packstack.
2. packstack -d --allinone
3. 

Actual results:

Fails with error message 
"ERROR : Error during puppet run : Error: mysqladmin -u root  password '29c3f470740c4e5a' returned 1 instead of one of [0]"


[root@localhost ~]# packstack -d --allinone
Welcome to Installer setup utility

Installing:
Clean Up...                                            [ DONE ]
Setting up ssh keys...                                 [ DONE ]
Adding pre install manifest entries...                 [ DONE ]
Adding MySQL manifest entries...                       [ DONE ]
Adding QPID manifest entries...                        [ DONE ]
Adding Keystone manifest entries...                    [ DONE ]
Adding Glance Keystone manifest entries...             [ DONE ]
Adding Glance manifest entries...                      [ DONE ]
Installing dependencies for Cinder...                  [ DONE ]
Adding Cinder Keystone manifest entries...             [ DONE ]
Adding Cinder manifest entries...                      [ DONE ]
Checking if the Cinder server has a cinder-volumes vg...[ DONE ]
Adding Nova API manifest entries...                    [ DONE ]
Adding Nova Keystone manifest entries...               [ DONE ]
Adding Nova Cert manifest entries...                   [ DONE ]
Adding Nova Conductor manifest entries...              [ DONE ]
Adding Nova Compute manifest entries...                [ DONE ]
Adding Nova Scheduler manifest entries...              [ DONE ]
Adding Nova VNC Proxy manifest entries...              [ DONE ]
Adding Nova Common manifest entries...                 [ DONE ]
Adding Openstack Network-related Nova manifest entries...[ DONE ]
Adding Quantum API manifest entries...                 [ DONE ]
Adding Quantum Keystone manifest entries...            [ DONE ]
Adding Quantum L3 manifest entries...                  [ DONE ]
Adding Quantum L2 Agent manifest entries...            [ DONE ]
Adding Quantum DHCP Agent manifest entries...          [ DONE ]
Adding Quantum Metadata Agent manifest entries...      [ DONE ]
Adding OpenStack Client manifest entries...            [ DONE ]
Adding Horizon manifest entries...                     [ DONE ]
Adding Swift Keystone manifest entries...              [ DONE ]
Adding Swift builder manifest entries...               [ DONE ]
Adding Swift proxy manifest entries...                 [ DONE ]
Adding Swift storage manifest entries...               [ DONE ]
Adding Swift common manifest entries...                [ DONE ]
Adding Provisioning manifest entries...                [ DONE ]
Preparing servers...                                   [ DONE ]
Adding Nagios server manifest entries...               [ DONE ]
Adding Nagios host manifest entries...                 [ DONE ]
Adding post install manifest entries...                [ DONE ]
Installing Dependencies...                             [ DONE ]
Copying Puppet modules and manifests...                [ DONE ]
Applying Puppet manifests...
Applying 192.168.1.72_prescript.pp
192.168.1.72_prescript.pp :                                          [ DONE ]
Applying 192.168.1.72_mysql.pp
Applying 192.168.1.72_qpid.pp
                                                                                         [ ERROR ]

ERROR : Error during puppet run : Error: mysqladmin -u root  password '5e06cea8b3664aeb' returned 1 instead of one of [0]
Please check log file /var/tmp/packstack/20130812-202211-0xLhrA/openstack-setup.log for more information

Additional information:
 * A new answerfile was created in: /root/packstack-answers-20130812-202211.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * To use the command line tools you need to source the file /root/keystonerc_admin created on 192.168.1.72
 * To use the console, browse to http://192.168.1.72/dashboard
 * To use Nagios, browse to http://192.168.1.72/nagios username : nagiosadmin, password : 546f92cf0e4d4b77



Expected results:

It would keep going and finish installing


Additional info:

Please see attached file
Comment 1 K. Gao 2013-09-05 06:39:25 EDT
I happended to be running into this issue and the workaround is to copy the generated answer file (often /root/packstack-answers-20XXXXXX-YYYYYY.txt) to another directory (and to make things easier I'd change the mode of the file and rename it as well) and instead of using --allinone option, run packstack as

#(sudo) packstack --answer-file=packstack-answers=$YOUR_ANSWER_FILE

The reason seems to be that when packstack fails, it doesn't clean up the database so a password (in your case, of the user 'root') already exists.

Of course, the best way should be to clean up the database when packstack fails. However, I'm new with packstack and MySQL as well, which makes it out of my league.

Good luck~
Comment 2 Martin Magr 2013-09-05 11:39:26 EDT
This should be working. MySQL puppet modules should be capable of setting new password in case you run --allinone several times instead of using generated answer file. Will check if it's still functional.
Comment 3 K. Gao 2013-09-05 21:34:15 EDT
(In reply to Martin Magr from comment #2)
> This should be working. MySQL puppet modules should be capable of setting
> new password in case you run --allinone several times instead of using
> generated answer file. Will check if it's still functional.

Below is the package version on my computer, which seems to be the latest version in Fedora 19 repository. Hope it might help:

openstack-packstack-2013.1.1-0.28.dev677.fc19.noarch
Comment 4 Fedora Admin XMLRPC Client 2013-10-14 05:51:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-10-14 05:52:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 14:25:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:44:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.